package com.ssm.manage.mapper;

import com.ssm.core.mapper.BaseMapper;
import com.ssm.manage.entity.RefundCash;
import com.ssm.manage.entity.RefundOrderList;
import com.ssm.manage.query.RefundCashReqest;
import com.ssm.manage.query.RefundOrderResquest;
import com.ssm.manage.query.StoreDailyRequest;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public interface RefundCashMapper extends BaseMapper<RefundCash> {

    List<RefundCash> selectList(RefundOrderResquest refundOrderResquest);
    List<RefundCash> selectLists(RefundOrderResquest refundOrderResquest);
    List<RefundCash> selectListschia(RefundOrderResquest refundOrderResquest);

    List<RefundCash> selectNew(RefundCashReqest refundCashReqest);

    List<RefundCash> selectFKJByRefundCashGifMoney(StoreDailyRequest storeDailyRequest);
}